GWT 2.7.0

## com.google.gwt.user.client.rpc
Class XsrfToken

    java.lang.Object
      com.google.gwt.user.client.rpc.XsrfToken

All Implemented Interfaces:
  RpcToken, java.io.Serializable

    public class XsrfToken

extends java.lang.Object
implements RpcToken

XSRF token.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.user.client.rpc.RpcToken
`RpcToken.RpcTokenImplementation`

Constructor Summary
`XsrfToken()`
`XsrfToken(java.lang.String token)`

Method Summary
`java.lang.String` | `getToken()`
`void` | `setToken(java.lang.String token)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsrfToken

    public XsrfToken()

### XsrfToken

    public XsrfToken(java.lang.String token)

Method Detail

### getToken

    public java.lang.String getToken()

### setToken

    public void setToken(java.lang.String token)

GWT 2.7.0